Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/vnstat: update to 1.15

From: Michael Zhou <mzhou_at_cse.unsw.edu.au>
Date: Wed, 29 Jun 2016 00:50:10 +1000

---
 testing/vnstat/APKBUILD           | 26 +++++++++++++-------------
 testing/vnstat/fix-includes.patch | 10 ----------
 testing/vnstat/vnstatd.initd      |  3 ++-
 3 files changed, 15 insertions(+), 24 deletions(-)
 delete mode 100644 testing/vnstat/fix-includes.patch
diff --git a/testing/vnstat/APKBUILD b/testing/vnstat/APKBUILD
index 9737705..3abf938 100644
--- a/testing/vnstat/APKBUILD
+++ b/testing/vnstat/APKBUILD
_at_@ -1,8 +1,8 @@
 # Maintainer: Bartłomiej Piotrowski <nospam_at_bpiotrowski.pl>
 
 pkgname=vnstat
-pkgver=1.12
-pkgrel=1
+pkgver=1.15
+pkgrel=0
 pkgdesc='A console-based network traffic monitor'
 url='http://humdi.net/vnstat/'
 arch='all'
_at_@ -11,7 +11,6 @@ install="$pkgname.pre-install"
 makedepends='gd-dev'
 subpackages="$pkgname-doc"
 source="http://humdi.net/vnstat/$pkgname-$pkgver.tar.gz
-	fix-includes.patch
         vnstatd.initd
         vnstatd.confd"
 
_at_@ -27,7 +26,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	make all || return 1
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info
+	make || return 1
 }
 
 package() {
_at_@ -43,15 +46,12 @@ package() {
 		"$pkgdir"/usr/share/doc/vnstat/examples/vnstat.cgi || return 1
 }
 
-md5sums="a154b2196771e06a8accd1c24374009c  vnstat-1.12.tar.gz
-466648e8d4cb367a0c2eab6871d77fc5  fix-includes.patch
-b439075575d307cd9373740fe59538f1  vnstatd.initd
+md5sums="351051ef3005e3ca99123eec07ac0a7d  vnstat-1.15.tar.gz
+cf0a4a161295e1d1988836cdc8d1064d  vnstatd.initd
 810205e9cd5328b4279bd9ab1b804c36  vnstatd.confd"
-sha256sums="af1050d9c1b22d4b9742fe0d1818de9eb1037b8e7f9ba67b962e108d8527be69  vnstat-1.12.tar.gz
-5fd0d235ed43f841f0a36ce2f32d231e28a5714b6c6ba9b19f4c709214f7769d  fix-includes.patch
-93971b912eef59e5174dc4142c5fecf283dcd15164adedddcf89915a020b8cb8  vnstatd.initd
+sha256sums="c3814b5baa8b627198a8debfe1dce4b4346a342523818cc8668a5497971dbc39  vnstat-1.15.tar.gz
+98d57c982722372257d4b901836170ae0e81d9e575caa5a6463bdc6a78f9dd2a  vnstatd.initd
 2cd5b91f86bc26aca85166a50de89faaccbf1ea8f219efb48b50b7ed0f3fe377  vnstatd.confd"
-sha512sums="0d6b5f362bbcbb4a104f82b8e350f5d8b071e974a3fdfb100333c3d8e5a096a71a97360543d2594fd3f2108df8bb03ffffc4c52d396f28723005a5d1bf605eb1  vnstat-1.12.tar.gz
-67ab0a08380d598a31b4e7b0ed7be382792514b096e0b79fd886a00a7cb3b32aa048ea27ca19d1967eadbdac0fc39f23ed86f9dfeb3968afdd5e3d7d2186d923  fix-includes.patch
-37093824da831d935351e75c082caae561833227bba5afd4baec45b2a878dec29a824c3278a954b77eb7feccbad0a80d63d7d2c2a58d6d6eef27a8843831251f  vnstatd.initd
+sha512sums="e6cf714c2c95ae7f82ec7852d23067da28f4fab83cf33726e4268a31f982ddf13c3bc30f17251a80f7c65d25f394cd05379a30e677687ce70f8c7b229ac0cb4e  vnstat-1.15.tar.gz
+cc3183b8d42eff1e0a876420612dd8892ba5ac10810e7de7ca1076eb5e5867145a0d7e605773f39157e91da29aa68ae5c350d120f60292578fcaba44603b2b92  vnstatd.initd
 d645817913d5b52e928561b3d6a0e869d8ae5db81b97af91c1ebfc6a8cd2df666c1653e6dc5f91c0a890033a89692f77eaf081c1cae5590446c69a70ea263946  vnstatd.confd"
diff --git a/testing/vnstat/fix-includes.patch b/testing/vnstat/fix-includes.patch
deleted file mode 100644
index 1ec316a..0000000
--- a/testing/vnstat/fix-includes.patch
+++ /dev/null
_at_@ -1,10 +0,0 @@
---- ./src/common.h.orig
-+++ ./src/common.h
-_at_@ -22,6 +22,7 @@
- #include <pwd.h>
- #include <grp.h>
- #include <libgen.h>
-+#include <fcntl.h>
- 
- #if defined(__FreeBSD__) || defined(__NetBSD__) || defined(__OpenBSD__) || defined(__APPLE__) || defined(__FreeBSD_kernel__)
- #include <sys/param.h>
diff --git a/testing/vnstat/vnstatd.initd b/testing/vnstat/vnstatd.initd
index 167e2cc..e206fb2 100644
--- a/testing/vnstat/vnstatd.initd
+++ b/testing/vnstat/vnstatd.initd
_at_@ -1,4 +1,4 @@
-#!/sbin/runscript
+#!/sbin/openrc-run
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
_at_@ -13,6 +13,7 @@ VNSTATD_PIDFILE="${VNSTATD_PIDFILE:-/var/run/vnstatd/vnstatd.pid}"
 start() {
 	ebegin "Starting vnstatd"
 	checkpath -q -d -m 755 -o vnstat:vnstat /var/run/vnstatd
+	checkpath -q -d -m 755 -o vnstat:vnstat /var/lib/vnstat
 	start-stop-daemon --start --quiet \
 		--pidfile "${VNSTATD_PIDFILE}" \
 		--user vnstat --group vnstat \
-- 
2.9.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jun 29 2016 - 00:50:10 GMT